--- src/mantiuk06/pfstmo_mantiuk06.cpp.orig	2008-06-16 22:09:33.000000000 +0000
+++ src/mantiuk06/pfstmo_mantiuk06.cpp	2009-02-26 15:17:14.000000000 +0000
@@ -219,6 +219,14 @@
   try {
     tmo_mantiuk06( argc, argv );
   }
+  catch (std::bad_alloc ex) {
+    fprintf(stderr, PROG_NAME " error: out of memory\n");
+    return EXIT_FAILURE;
+  }
+  catch (std::exception ex) {
+    fprintf(stderr, PROG_NAME " error: %s\n", ex.what());
+    return EXIT_FAILURE;
+  }
   catch( pfs::Exception ex ) {
     fprintf( stderr, PROG_NAME " error: %s\n", ex.getMessage() );
     return EXIT_FAILURE;
