--- src/mantiuk08/pfstmo_mantiuk08.cpp.orig	2009-02-23 18:46:36.000000000 +0000
+++ src/mantiuk08/pfstmo_mantiuk08.cpp	2009-02-26 15:22:12.000000000 +0000
@@ -31,13 +31,13 @@
 
 #include <config.h>
 
-#include <iostream>
 #include <stdio.h>
 #include <stdlib.h>
 #include <math.h>
 #include <getopt.h>
 #include <fcntl.h>
 #include <iostream>
+#include <memory>
 
 #include <pfs.h>
 
@@ -375,6 +375,14 @@
   try {
     tmo_mantiuk08( argc, argv );
   }
+  catch (std::bad_alloc ex) {
+    fprintf(stderr, PROG_NAME " error: out of memory\n");
+    return EXIT_FAILURE;
+  }
+  catch (std::exception ex) {
+    fprintf(stderr, PROG_NAME " error: %s\n", ex.what());
+    return EXIT_FAILURE;
+  }
   catch( pfs::Exception ex ) {
     fprintf( stderr, PROG_NAME " error: %s\n", ex.getMessage() );
     return EXIT_FAILURE;
